diff --git a/configure.in b/configure.in
index e76ff51..5e8cc21 100644
--- a/configure.in
+++ b/configure.in
@@ -983,6 +983,11 @@ AC_ARG_WITH([linux-input-header],
 			   [Use an given Linux input.h rather than that installed on the system (<linux/input.h>)]))
 if test "x$with_linux_input_header" != "x"; then
 	AC_DEFINE_UNQUOTED(HAL_LINUX_INPUT_HEADER_H, "$with_linux_input_header", [If set, the header to use instead of <linux/input.h>])
+	LINUX_INPUT_H=$with_linux_input_header
+	AC_SUBST(LINUX_INPUT_H)
+else
+	LINUX_INPUT_H=/usr/include/linux/input.h
+	AC_SUBST(LINUX_INPUT_H)
 fi
 
 dnl
diff --git a/tools/Makefile.am b/tools/Makefile.am
index ae03edd..7d1cbab 100644
--- a/tools/Makefile.am
+++ b/tools/Makefile.am
@@ -79,7 +79,7 @@ endif
 if BUILD_KEYMAPS
 
 if HAVE_GPERF
-hal-setup-keymap-keys.txt: /usr/include/linux/input.h
+hal-setup-keymap-keys.txt: @LINUX_INPUT_H@
 	awk '/^#define.*KEY_/ { if ($$2 != "KEY_MAX") { print substr($$2, 5) } }' < $< > $@
 
 hal-setup-keymap-hash-name.gperf: hal-setup-keymap-keys.txt
